[arch-commits] Commit in hasktags/repos (2 files)

Felix Yan felixonmars at archlinux.org
Sat Jun 2 07:55:36 UTC 2018


    Date: Saturday, June 2, 2018 @ 07:55:35
  Author: felixonmars
Revision: 337206

archrelease: copy trunk to community-staging-x86_64

Added:
  hasktags/repos/community-staging-x86_64/
  hasktags/repos/community-staging-x86_64/PKGBUILD
    (from rev 337205, hasktags/trunk/PKGBUILD)

----------+
 PKGBUILD |   44 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)

Copied: hasktags/repos/community-staging-x86_64/PKGBUILD (from rev 337205, hasktags/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2018-06-02 07:55:35 UTC (rev 337206)
@@ -0,0 +1,44 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Arch Haskell Team <arch-haskell at haskell.org>
+
+pkgname=hasktags
+pkgver=0.70.1
+pkgrel=5
+pkgdesc="Produces ctags \"tags\" and etags \"TAGS\" files for Haskell programs"
+url="https://github.com/MarcWeber/hasktags"
+license=("custom:BSD3")
+arch=('x86_64')
+depends=('ghc-libs' 'haskell-json' 'haskell-microlens-platform' 'haskell-utf8-string')
+makedepends=('ghc' 'haskell-hunit')
+source=("https://hackage.haskell.org/packages/archive/${pkgname}/${pkgver}/${pkgname}-${pkgver}.tar.gz")
+sha512sums=('cea3f21c3fc8f3020d69d34572e9f91d32cd619a36f26160eab8949a517df92517c98e7fcee792888283a949222a8bc93ee6ccc397e95382bce8a5d557de569b')
+
+build() {
+    cd $pkgname-$pkgver
+    
+    runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
+        --prefix=/usr --docdir="/usr/share/doc/${pkgname}" --enable-tests \
+        --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid \
+            -f-debug
+    runhaskell Setup build
+    runhaskell Setup register --gen-script
+    runhaskell Setup unregister --gen-script
+    sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+    sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+    cd $pkgname-$pkgver
+    runhaskell Setup test || warning "Tests failed"
+}
+
+package() {
+    cd $pkgname-$pkgver
+    
+    install -D -m744 register.sh   "${pkgdir}/usr/share/haskell/register/${pkgname}.sh"
+    install -D -m744 unregister.sh "${pkgdir}/usr/share/haskell/unregister/${pkgname}.sh"
+    runhaskell Setup copy --destdir="${pkgdir}"
+    install -D -m644 "LICENSE" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+    rm -f "${pkgdir}/usr/share/doc/${pkgname}/LICENSE"
+}



More information about the arch-commits mailing list